<?php
 namespace Module\AdminUserDefault;
 use TCMS\Controller;
 use Model\UserModel;
 class UserController extends Controller {
 public function __construct() {
 }
 public function index() {
 return view();
 }
 public function create() {
 return view();
 }
 public function postCreate(UserModel $model) {
 if(!$model->password) {
 $model->addModelError('password', 'Vui lòng nhập mật khẩu');
 }
 if($model->password != $model->repassword) {
 $model->addModelError('repassword', 'Nhập lại mật khẩu sai');
 }
 if($model->isValid()) {
 if($model->insert()) return route_redirect('create', 'Thêm thành công');
 return view($model)->addErrorMessage('error', 'Thêm thất bại');
 }
 return $this->view($model);
 }
 public function update($id) {
 $model = new UserModel();
 $data = $model->find($id);
 return $this->view($data);
 }
 public function postUpdate(UserModel $model) {
 if($model->isValid()) {
 if($model->password) {
 if($model->password != $model->repassword) {
 $model->addModelError('repassword', 'Nhập lại mật khẩu sai!');
 return $this->view($model);
 }
 }
 if($model->update()) return route_redirect('index', 'Cập nhật thành công');
 $this->view->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return $this->view($model);
 }
 public function postDelete($id) {
 $model = new UserModel();
 $isSuccess = $model->delete($id);
 if(\Request::isAjax()) return $this->json(['success' => $isSuccess, 'message' => $isSuccess ? 'Xóa thành công' : 'Xóa thất bại']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 }
